function zgh(){}
function ogh(a){this.a=a}
function rgh(a){this.a=a}
function Bgh(a){this.a=a}
function Oof(a,b){a.a=b;return a}
function Pof(a){a.e=100;return a}
function Qof(){this.c=new rWd;sD();this.d=Pzj}
function Qef(){this.b=pA($doc);this.a=pA($doc)}
function mmd(a){a.a.ke(0,2);imd(a.a.c,0,2)[pCj]=hak}
function kmd(a,b,d){var e;a.a.ke(b,1);e=imd(a.a.c,b,1);wz(e,f3j,d.a)}
function voh(a){var b;if(!a.d){b=new zgh;a.d=b}return a.d}
function Iu(a,b,d,e){var g;Ou(a,b,d);g=zu(a,b,d,e==null);e!=null&&tz(g,e)}
function mgh(a,b,d,e){JFd.call(this,a,b,d);this.a=e;this.b=new o0i(R1b)}
function Ref(a,b){if(a==0||b==0)return 0;return Y2c(J2c(Math.round(b/a*100)))}
function Nof(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function qgh(a,b){var d,e;d=onj(b);if(z7i(d,vGj).b.b!=(Rlj(),Qlj)){e=e0i(a.a.b,z7i(d,vGj));ygh(a.a.A,e)}else{ygh(a.a.A,null)}}
function lgh(a){var b,d;b=Ldf();J7i(n7i(b),DHj,QDj);d=new X7i;I7i(z7i(d,mGj),'engine-statistics');N7i(z7i(d,oGj),b);unj(new Nmj(d),new rgh(a))}
function uoh(a){var b;if(!a.c){b=new mgh(TEd(Qbe(a.a)),voh(a),toh(a),(Ynj(vde(a.a)),a1i(tde(a.a)),oLg(Jce(a.a))));dFd((Rbe(a.a),b),aGd(Rbe(a.a)));a.c=b}return a.c}
function ygh(a,b){var d;d=new Hdf($L(c0c,hxj,-1,[K2c(b.rI().a),b.sI().a,b.tI().a,b.nI().a,b.pI().a,b.lI().a,b.mI().a,b.oI().a,K2c(b.kI().a),K2c(b.uI().a),K2c(b.qI().a)]));Lof(a.b,d)}
function Pef(a,b,d){var e,g,i;g=mnd(a.c,a.a);i=Ref(b,d);if(i>0){qz(g,N_j,gik+i+TAj);qz(g,hik,gik+i+TAj)}else{qz(g,N_j,iik);qz(g,hik,iik)}e=new u4c;t4c(s4c((bQd(e.a,"<span style='padding-right:5px;'>"),e),i+TAj),$_j);tz(g,(new w4c(e.a.a.a)).a)}
function Lof(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=Nof(a);if(g>b.a.b)throw new io(jik+g+kik+b.a.b);e=nOd(g>=0?(new kOd(bNd($f(b.a,g)))).a:Byj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=$f(b.a,o);if(null==d)throw new io(lik+o+mik);Ku(a.b,p,1,d);if(!!i.a&&L2c(e.a,Txj)){Pef($f(a.c,o),Y2c(e.a),(new INd(_Md(d))).a)}else if(!!i.a&&N2c(e.a,Txj)){throw new io(nik)}++p}}
function Mof(a){var b,d,e,g,i,j,k,n,o,p;i=new uwd;rz((Pfd(),i.gb),E_j);rwd(i,new fnd("<div class='metric-table-title'>"+a.d+i3j));a.b=new Qu;qz(kr(a.b),pCj,a.e+TAj);Iu(a.b,0,0,'Metric');Iu(a.b,0,1,'Actual');Iu(a.b,0,2,rCj);kmd(a.b.d,0,(Ind(),Hnd));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Iu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Iu(a.b,j,1,Pzj);iWd(a.c,new Qef);if(b.a){k=$f(a.c,j-1);Lu(a.b,j,2,(n=new u4c,t4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new nnd(new w4c(n.a.a.a)),o=mnd(k.c,k.b),gz(o,'stacked-bar-total'),qz(o,N_j,sgk),qz(o,hik,'width:100%!important'),p=mnd(k.c,k.a),gz(p,'stacked-bar-actual'),cA(p,Pzj),k.c));Pef(k,0,0)}else Ku(a.b,j,2,Pzj);kmd(a.b.d,j,Hnd);b.c&&ynd(a.b.f,j,'metric-table-baseline');++j}lmd(a.b.d,0,0,oik);lmd(a.b.d,0,1,oik);lmd(a.b.d,0,2,oik);mmd(a.b.d);rwd(i,a.b);return i}
var qik='Teiid Metrics',iik='background:none',hik='cssText',oik='metric-table-header';h3c(2503,1,{},Qef);h3c(2674,1,{},Qof);_.a=null;_.e=100;h3c(4578,1007,pyj,mgh);_.Qi=function(){this.A.a=this;RH(this.v,(Utf(),Ttf),this)};_.Sk=function(){hq((aq(),_p),new ogh(this))};_.Vi=function(){this.B&&lgh(this)};_.Zi=function(){vuf(this.a,this)};h3c(4579,1,{},ogh);_.rd=function(){lgh(this.a)};h3c(4580,1294,{},rgh);_.od=function(a){YXd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.dh=function(a){qgh(this,a)};h3c(4583,1411,nyj,zgh);_.Ah=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Vij;Pij(r,new Lij((SXd(),Rhk),new Bgh(this)));p=new Nef(CQj,'Session Count');o=new Nef(EQj,'Memory in Use(KB)');n=new Nef(GQj,'Memory Used By Active Plans(KB)');g=new Nef(IQj,'Buffer Disk Reads');i=new Nef(KQj,'Buffer Disk Writes');b=new Nef(MQj,'Buffer Cache Reads');d=new Nef(OQj,'Buffer Cache Writes');q=new Nef(QQj,'Disk Space In Use(MB)');a=new Nef(SQj,'Active Plan Count');s=new Nef(UQj,'Waiting Plan Count');k=new Nef(WQj,'Maximum Plans Waiting Water Mark');e=$L(u1c,ixj,196,[p,o,n,g,i,b,d,q,a,s,k]);this.b=Pof(Oof(new Qof,e),sD());j=rBe(uBe(zBe(vBe(yBe(new ABe,pik),qik),r),'Metrics for teiid subsystem'),qik,Mof(this.b));return sBe(j)};h3c(4584,1,Cxj,Bgh);_.he=function(a){lgh(this.a.a)};h3c(4742,1,Wyj);_.pd=function(){BGd(this.b,uoh(this.a.a))};var h3b=zNd(4578),d3b=zNd(4579),e3b=zNd(4580),j3b=zNd(4583),i3b=zNd(4584),fub=zNd(2674),Wqb=zNd(2503);Kzj(_o)(75);